Watch, Follow, &
Connect with Us

Please visit our new home
community.embarcadero.com.

Public Report
Report From: Kylix/Install    [ Add a report in this area ]  
Report #:  9541   Status: Reported
Install Kylix3 on Mandrake 10.1, Suse 9.1
Project:  Kylix Build #:  3.0
Version:    3.0 Submitted By:   Lionel Reynaud
Report Type:  Crash / Data loss / Total failure Date Reported:  11/15/2004 3:03:35 AM
Severity:    Critical / Show Stopper Last Updated:
Platform:    Kylix C++ IDE Internal Tracking #:  
Resolution: None  Resolved in Build: : None
Duplicate of:  None
Voting and Rating
Overall Rating: (13 Total Ratings)
4.69 out of 5
Total Votes: 15
Description
Installation of Kylix3 on newer distro are more and more difficult.
I try 2 methods to solve this problem :
One with the install of compat-glibc,
Other with the patches of Andreas Hausladen

Both give the same result :
Kylix pascal work : we can compile, run and debug in the IDE. The binary work.
Kylix C++ do not work : You can compile but run and debug are impossible. Binary work but are not stable.

Why Borland do not give a patch for newer distro ??

Regards,
Lionel

Steps to Reproduce:
Just try to install
Workarounds
None
Attachment
None
Comments

Clint Heron at 12/6/2004 6:57:48 AM -
From my experience working with this, it would so help if we just had the source code for ilink. Andreas Hausladen has done an amazing job with his patches at http://www.kylix-patch.de.vu , but he can only patch a binary -- he can't fix the real problem unless the source code is released.

malik martin at 10/5/2006 8:37:14 PM -
i'm using openSUSE 10.0 and i have glibc_2.4 i get this message when i try to start kylix

linux:/home/laserbeak43 # startdelphi
/home/laserbeak43/kylix3/bin/delphi: relocation error: /home/laserbeak43/kylix3/bin/libwine.borland.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
linux:/home/laserbeak43 #

will his patch work for my version of glibc?

Server Response from: ETNACODE01